| sigscan

## Function

Generates a DHF file (domain hits file) of hits (sequences) from scanning a signature against a sequence database

## Description

**************** EDIT HERE ****************

## Algorithm

**************** EDIT HERE ****************

## Usage

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-siginfile]         infile     This option specifies the name of the
                                      signature file (input). A 'signature file'
                                      contains a sparse sequence signature
                                      suitable for use with the SIGSCAN program.
                                      The files are generated by using SIGGEN.
      [-dbsequence]        seqall     This option specifies the name of the
                                      database to search.
       -sub                matrixf    This option specifies the residue
                                      substitution matrix.
       -gapo               float      This option specifies the gap insertion
                                      penalty. The gap insertion penalty is the
                                      score taken away when a gap is created. The
                                      best value depends on the choice of
                                      comparison matrix. The default value assumes
                                      you are using the EBLOSUM62 matrix for
                                      protein sequences, and the EDNAMAT matrix
                                      for nucleotide sequences.
       -gape               float      This option specifies the gap extension
                                      penalty. The gap extension penalty is added
                                      to the standard gap penalty for each base or
                                      residue in the gap. This is how long gaps
                                      are penalized. Usually you will expect a few
                                      long gaps rather than many short gaps, so
                                      the gap extension penalty should be lower
                                      than the gap penalty. An exception is where
                                      one or both sequences are single reads with
                                      possible sequencing errors in which case you
                                      would expect many single base gaps. You can
                                      get this result by setting the gap open
                                      penalty to zero (or very low) and using the
                                      gap extension penalty to control gap
                                      scoring.
       -nterm              menu       This option specifies the N-terminal
                                      matching option. This determines how the
                                      first signature position is aligned to a
                                      sequence from the database.
       -nhits              integer    This option specifies the maximum number of
                                      hits to output.
      [-hitsfile]          outfile    This option specifies the name of the DHF
                                      file (domain hits file) (output). A 'domain
                                      hits file' contains database hits
                                      (sequences) with domain classification
                                      information, in the DHF format (FASTA-like).
                                      The hits are relatives to a SCOP or CATH
                                      family (or other node in the structural
                                      hierarchies) and are found from a search of
                                      a sequence database, in this case, by using
                                      SIGSCAN. Files containing hits retrieved by
                                      PSIBLAST are generated by using SEQSEARCH or
                                      various types of HMM and profile by using
                                      LIBSCAN.
      [-alignfile]         outfile    This option specifies the name of the DAF
                                      (domain alignment file) (output). A 'domain
                                      alignment file' contains a sequence
                                      alignment of domains belonging to the same
                                      SCOP or CATH family (or other node in the
                                      structural hierarchies). The file is in DAF
                                      format (CLUSTAL-like) and is annotated with
                                      domain family classification information.
                                      The files generated by using SIGSCAN will
                                      contain a signature-sequence alignment of
                                      domain sequences returned by scanning a
                                      signature (for a family of domains) against
                                      a sequence database.

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-dbsequence" associated qualifiers
       -sbegin2            integer    Start of each sequence to be used
       -send2              integer    End of each sequence to be used
       -sreverse2          boolean    Reverse (if DNA)
       -sask2              boolean    Ask for begin/end/reverse
       -snucleotide2       boolean    Sequence is nucleotide
       -sprotein2          boolean    Sequence is protein
       -slower2            boolean    Make lower case
       -supper2            boolean    Make upper case
       -sformat2           string     Input sequence format
       -sdbname2           string     Database name
       -sid2               string     Entryname
       -ufo2               string     UFO features
       -fformat2           string     Features format
       -fopenfile2         string     Features file name

       "-hitsfile" associated qualifiers
       -odirectory3        string     Output directory

       "-alignfile" associated qualifiers
       -odirectory4        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write standard output
       -filter             boolean    Read standard input, write standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-siginfile] (Parameter 1) | This option specifies the name of the signature file (input). A 'signature file' contains a sparse sequence signature suitable for use with the SIGSCAN program. The files are generated by using SIGGEN. | Input file | Required
[-dbsequence] (Parameter 2) | This option specifies the name of the database to search. | Readable sequence(s) | Required
-sub | This option specifies the residue substitution matrix. | Comparison matrix file in EMBOSS data path | EBLOSUM62
-gapo | This option specifies the gap insertion penalty. The gap insertion penalty is the score taken away when a gap is created. The best value depends on the choice of comparison matrix. The default value assumes you are using the EBLOSUM62 matrix for protein sequences, and the EDNAMAT matrix for nucleotide sequences. | Floating point number from 1.0 to 100.0 | 10.0 for any sequence

-gape

This option specifies the gap extension penalty. The gap extension penalty is added to the standard gap penalty for each base or residue in the gap. This is how long gaps are penalized. Usually you will expect a few long gaps rather than many short gaps, so the gap extension penalty should be lower than the gap penalty. An exception is where one or both sequences are single reads with possible sequencing errors in which case you would expect many single base gaps. You can get this result by setting the gap open penalty to zero (or very low) and using the gap extension penalty to control gap scoring.

Floating point number from 0.0 to 10.0

0.5 for any sequence

-nterm

This option specifies the N-terminal matching option. This determines how the first signature position is aligned to a sequence from the database.

1 | (Align anywhere and allow only complete signature-sequence fit)
2 | (Align anywhere and allow partial signature-sequence fit)
3 | (Use empirical gaps only)

1

-nhits | This option specifies the maximum number of hits to output. | Any integer value | 100

[-hitsfile]
(Parameter 3)

This option specifies the name of the DHF file (domain hits file) (output). A 'domain hits file' contains database hits (sequences) with domain classification information, in the DHF format (FASTA-like). The hits are relatives to a SCOP or CATH family (or other node in the structural hierarchies) and are found from a search of a sequence database, in this case, by using SIGSCAN. Files containing hits retrieved by PSIBLAST are generated by using SEQSEARCH or various types of HMM and profile by using LIBSCAN.

Output file

SIGSCAN.dhf

[-alignfile]
(Parameter 4)

This option specifies the name of the DAF (domain alignment file) (output). A 'domain alignment file' contains a sequence alignment of domains belonging to the same SCOP or CATH family (or other node in the structural hierarchies). The file is in DAF format (CLUSTAL-like) and is annotated with domain family classification information. The files generated by using SIGSCAN will contain a signature-sequence alignment of domain sequences returned by scanning a signature (for a family of domains) against a sequence database.

Output file

SIGSCAN.aln

Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

## Input file format

sigscan reads any normal sequence USAs.

## Output file format

sigscan outputs a graph to the specified graphics device. outputs a report format file. The default format is ...

## Data files

**************** EDIT HERE ****************

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
contactcount | Counts specific versus non-specific contacts in a directory of cleaned protein chain contact files
contacts | Reads CCF files (clean coordinate files) and writes CON files (contact files) of intra-chain residue-residue contact data
domainalign | Generates DAF files (domain alignment files) of structure-based sequence alignments for nodes in a DCF file (domain classification file)
domainrep | Reorder DCF file (domain classification file) so that the representative structure of each user-specified node is given first
domainreso | Removes low resolution domains from a DCF file (domain classification file)
interface | Reads CCF files (clean coordinate files) and writes CON files (contact files) of inter-chain residue-residue contact data
libgen | Generates various types of discriminating elements for each alignment in a directory
psiphi | Calculates phi and psi torsion angles from cleaned EMBOSS-style protein co-ordinate file
rocon | Reads a DHF file (domain hits file) of hits (sequences of unknown structural classification) and a DHF file of validation sequences (known classification) and writes a 'hits file' for the hits, which are classified and rank-ordered on the basis of score
rocplot | Provides interpretation and graphical display of the performance of discriminating elements (e.g. profiles for protein families). rocplot reads file(s) of hits from discriminator-database search(es), performs ROC analysis on the hits, and writes graphs illustrating the diagnostic performance of the discriminating elements
seqalign | Reads a DAF file (domain alignment file) and a DHF file (domain hits file) and writes a DAF file extended with the hits
seqfraggle | Removes fragments from DHF files (domain hits files) or other files of sequences
seqsearch | Generate database hits (sequences) for nodes in a DCF file (domain classification file) by using PSI-BLAST
seqsort | Reads DHF files (domain hits files) of database hits (sequences) and removes hits of ambiguous classification
seqwords | Generates DHF files (domain hits files) of database hits (sequences) for nodes in a DCF file (domain classification file) by keyword search of UniProt
siggen | Generates a sparse protein signature from an alignment and residue contact data

## Author(s)

**************** EDIT HERE ****************

## History

Written (date) - author.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.